### Constructor

# WebKit2 ContextMenuItem new

deprecated: 2.18

#### Declaration [src]

    WebKitContextMenuItem*
    webkit_context_menu_item_new (
      GtkAction* action
    )

#### Description [src]

Creates a new `WebKitContextMenuItem` for the given `action`.

Deprecated since: 2.18

Use `webkit_context_menu_item_new_from_gaction()` instead.

#### Parameters

`action`

  Type: `GtkAction`

  A `GtkAction`.

  The data is owned by the caller of the function.

#### Return value

Type: `WebKitContextMenuItem`

The newly created `WebKitContextMenuItem` object.

The data is owned by the called function.